Name:		perl-Data-Validate-Domain
Version:	0.10
Release:	1%{?dist}
Summary:	Domain validation methods Perl module

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Data-Validate-Domain
Source0:	http://search.cpan.org/CPAN/authors/id/N/NE/NEELY/Data-Validate-Domain-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Net::Domain::TLD) >= 1.62
BuildRequires:	perl(Exporter)


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
This module collects domain validation routines to make input validation, and
untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status explicitly.
Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.


%prep
%setup -q -n Data-Validate-Domain-%{version}
find lib -name "*.pm" -exec chmod -c a-x {} +


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Jan 22 2013 Normunds Neimanis <fedorapkg at rule.lv> 0.10-1
- Initial package for Fedora
